local AL = LibStub("AceLocale-3.0")

local silent = true

local L = AL:GetLocale("DXE")
if not L then
    local L = AL:NewLocale("DXE", "enUS", true, silent)
end

if L then
	-- Chat triggers
	local chat_BlackrockFoundry = AL:NewLocale("DXE Chat BlackrockFoundry", "enUS", true, silent)
	AL:GetLocale("DXE").chat_BlackrockFoundry = AL:GetLocale("DXE Chat BlackrockFoundry")
	-- NPC names
	local npc_BlackrockFoundry = AL:NewLocale("DXE NPC BlackrockFoundry", "enUS", true, silent)
	AL:GetLocale("DXE").npc_BlackrockFoundry = AL:GetLocale("DXE NPC BlackrockFoundry")
	if GetLocale() == "enUS" or GetLocale() == "enGB" then return end
end

local L = AL:NewLocale("DXE", "ruRU")
if L then
	-- Chat triggers
	local chat_BlackrockFoundry = AL:NewLocale("DXE Chat BlackrockFoundry", "ruRU")
	
	-- Oregorger
	chat_BlackrockFoundry["(Oregorger has gone insane from hunger!)"] = "Рудожуй сошел с ума от голода!"
	-- Thogar
	chat_BlackrockFoundry["Lane"] = "Путь"
    chat_BlackrockFoundry["Adds train"] = "Прибывает поезд"
	chat_BlackrockFoundry["Big add train"] = "Большой дополнительный поезд" 
	chat_BlackrockFoundry["Cannon train"] = "Поезд с пушкой" 
	chat_BlackrockFoundry["Random trains"] = "Случайный поезд"
	chat_BlackrockFoundry["Split"] = "Разделение"
	-- The Iron Maidens
	chat_BlackrockFoundry["GET BETWEEN THE LINE!!!"] = "Станьте между лучём"

	AL:GetLocale("DXE").chat_BlackrockFoundry = AL:GetLocale("DXE Chat BlackrockFoundry")
	
	-- NPC names
	local npc_BlackrockFoundry = AL:NewLocale("DXE NPC BlackrockFoundry", "ruRU")
	
	npc_BlackrockFoundry["Blackhand"] = "Чернорук"
	npc_BlackrockFoundry["Darmac"] = "Дармак Повелитель Зверей"
	npc_BlackrockFoundry["Gruul"] = "Груул"
	npc_BlackrockFoundry["Hansgar and Franzok"] = "Ганс'гар и Франзок"
	npc_BlackrockFoundry["Kagraz"] = "Ка'граз Пламенная"
	npc_BlackrockFoundry["Kromog"] = "Кромог"
	npc_BlackrockFoundry["Oregorger"] = "Рудожуй"
	npc_BlackrockFoundry["The Blast Furnace"] = "Горнило"
	npc_BlackrockFoundry["The Iron Maidens"] = "Железные леди"
	npc_BlackrockFoundry["Thogar"] = "Оператор Тогар"
	npc_BlackrockFoundry["Trash: Darkshard Gnasher"] = "Трэш: Темноскол-костеглод"
	npc_BlackrockFoundry["Trash: Blackrock Enforcer"] = "Трэш: Головорез из клана Черной горы"
	npc_BlackrockFoundry["Trash: Blast Furnace Exhaust"] = "Трэш: Выхлопное отверстие Горнила"
	npc_BlackrockFoundry["Trash: Ogron Hauler"] = "Трэш: Огрон-грузчик"
	npc_BlackrockFoundry["Trash: Forgemistress Flamehand"] = "Трэш: Начальница кузни Огненная Рука"
	npc_BlackrockFoundry["Trash: Thunderlord Beast-Tender"] = "Трэш: Звериный сторож Громоборцев"
	npc_BlackrockFoundry["Trash: Iron Taskmaster"] = "Трэш: Железный надсмотрщик"
	npc_BlackrockFoundry["Trash: Workshop Guardian"] = "Трэш: Страж мастерской"
	
	-- The Blast Furnace
	npc_BlackrockFoundry["Heat Regulator"] = "Регулятор температуры"
	
	AL:GetLocale("DXE").npc_BlackrockFoundry = AL:GetLocale("DXE NPC BlackrockFoundry")
	return
end

local L = AL:NewLocale("DXE", "zhCN")
if L then
	-- Chat triggers
	local chat_BlackrockFoundry = AL:NewLocale("DXE Chat BlackrockFoundry", "zhCN")
	
	-- Oregorger
	chat_BlackrockFoundry["(Oregorger has gone insane from hunger!)"] = "(奥尔高格饿了，他要吃更多的黑石矿石！)"
	-- The Iron Maidens
	chat_BlackrockFoundry["(prepares to man the Dreadnaught's Main Cannon!)"] = "(准备)"
	-- Thogar
	chat_BlackrockFoundry["Lane"] = "轨道"
	chat_BlackrockFoundry["Adds train"] = "火车增援"
	chat_BlackrockFoundry["Big add train"] = "大型火车增援"
	chat_BlackrockFoundry["Cannon train"] = "火炮火车"
	chat_BlackrockFoundry["Random trains"] = "随机火车"

	
	AL:GetLocale("DXE").chat_BlackrockFoundry = AL:GetLocale("DXE Chat BlackrockFoundry")
	
	-- NPC names
	local npc_BlackrockFoundry = AL:NewLocale("DXE NPC BlackrockFoundry", "zhCN")
	
	npc_BlackrockFoundry["Trash: Darkshard Gnasher"] = "垃圾: 暗裂噬咬者"
	npc_BlackrockFoundry["Trash: Blackrock Enforcer"] = "垃圾: 黑石执行者"
	npc_BlackrockFoundry["Trash: Blast Furnace Exhaust"] = "垃圾: 爆裂熔炉废气"
	npc_BlackrockFoundry["Trash: Ogron Hauler"] = "垃圾: 独眼魔搬运工"
	npc_BlackrockFoundry["Trash: Forgemistress Flamehand"] = "垃圾: 女铁匠"
	npc_BlackrockFoundry["Trash: Thunderlord Beast-Tender"] = "垃圾: 雷神驯兽者"
	npc_BlackrockFoundry["Trash: Iron Taskmaster"] = "垃圾: 钢铁工头"
	npc_BlackrockFoundry["Trash: Workshop Guardian"] = "垃圾: 车间守卫"	
	

	AL:GetLocale("DXE").npc_BlackrockFoundry = AL:GetLocale("DXE NPC BlackrockFoundry")
	return
end

local L = AL:NewLocale("DXE", "koKR")
if L then
	-- Chat triggers
	local chat_BlackrockFoundry = AL:NewLocale("DXE Chat BlackrockFoundry", "koKR")
	
	-- Oregorger
	--chat_BlackrockFoundry["(Oregorger has gone insane from hunger!)"] = ""
	-- The Iron Maidens
	--chat_BlackrockFoundry["(prepares to man the Dreadnaught's Main Cannon!)"] = ""
	-- Thogar
	chat_BlackrockFoundry["Lane"] = "레인"
	chat_BlackrockFoundry["Adds train"] = "기차 추가"
	chat_BlackrockFoundry["Big add train"] = "큰 기차 추가"
	chat_BlackrockFoundry["Cannon train"] = "대포 기차 추가"
	chat_BlackrockFoundry["Random trains"] = "무작위 기차"

	
	AL:GetLocale("DXE").chat_BlackrockFoundry = AL:GetLocale("DXE Chat BlackrockFoundry")
	
	-- NPC names
	local npc_BlackrockFoundry = AL:NewLocale("DXE NPC BlackrockFoundry", "koKR")

	npc_BlackrockFoundry["Trash: Forgemistress Flamehand"] = "제련여제 플레임핸드"
	
	AL:GetLocale("DXE").npc_BlackrockFoundry = AL:GetLocale("DXE NPC BlackrockFoundry")
	return
end