local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(1153)
do
	local data = {
		version = 6,
		key = "Ko'ragh",
		zone = L.zone["Highmaul"],
		category = L.zone["Highmaul"],
		--name = L.npc_Highmaul["Ko'ragh"],
		name = EJName,
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-Fel Breaker.BLP:35:35",
		triggers = {
			scan = {79015},
			encounterid = {1723},
			ejid = {1153},
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {79015},
			unittracing = {"boss1"},
			defeat = 79015,
		},
		windows = {
			proxwindow = true,
		},
		arrows = {
			--[[ExpelMagicFrostwarrow = {
				varname = SN[161411],
				unit = "&upvalue&",
				persist = 10,
				action = "AWAY",
				msg = L.alert["MOVE AWAY!"],
				spell = SN[161411],
				range1 = 30,
				range2 = 32,
				range3 = 35,
				desc = 161411,
				icon = ST[161411],
			},--]]
			SuppressionFieldwarrow = {
				varname = SN[161328],
				unit = "#5#",
				persist = 5,
				action = "AWAY",
				msg = L.alert["MOVE AWAY!"],
				spell = SN[161328],
				range1 = 5,
				range2 = 8,
				range3 = 10,
				desc = 161328,
				icon = ST[161328],
			},			
		},	
		raidicons = {
			ExpelMagicArcanemark = {
				varname = SN[162186],
				type = "FRIENDLY",
				persist = 60,
				unit = "#5#",
				icon = 1,
				desc = 162186,
				icon2 = ST[162186],
			},
			ExpelMagicFelmark = {
				varname = SN[172895],
				type = "MULTIFRIENDLY",
				persist = 12,
				unit = "#5#",
				icon = 2,
				total = 8,
				reset = 5,
				desc = 172895,
				icon2 = ST[172895],
			},
		},		
		timers = {
			timerVulnerabilitySoon = {
				{
					"expect",{"&getap|boss1&","<","25"},
					"expect",{"<warned>","==","0"},
					"alert","wVulnerabilitySoon",
					"set",{warned = 1},
				},
				{
					"expect",{"&getap|boss1&",">=","25"},
					"scheduletimer",{"timerVulnerabilitySoon",1},
				},
			},
			timerCausticEnergy = {
				{
					"message","mCausticEnergy",
				},
			},
			timerMC = {
				{
					"message","mMC",
				},
			},
			timerExpelMagicFel = {
				{
					"message","mExpelMagicFel",
				},
			},			
			ExpelMagicFire = {
				{
					"closewindow",
				},			},				
			timerDBM = {
				{
					"set",{dbm = "0"},
				},
			},			
		},			
		userdata = {
			Suppression = 0,
			warned = 0,
			dbm = 0,
			CausticEnergyunists = {type = "container", wipein = 3},
			MCunists = {type = "container", wipein = 3},
			ExpelMagicFelunists = {type = "container", wipein = 3},
			FelOnMe = "0",
			FelCount = 0,
			target = "",
			gettime = 0,
			suppressionfield = 0,
			shadow = 0,
			fire = 0,
			arcane = 0,
			frost = 0,
			fel = 0,
			balls = 0,
			intermission = 0,
			--nextArcane = 0,
			--nextFrost = 0,
			--nextBall = 0,
			--nextMC = 0,
		},
		announces = { 
			ExpelMagicFelsay = {
				varname = format(L.alert["%s %s %s!"],SN[172895],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[172895],L.alert["on"],L.alert["Me"]),
				desc = 172895,
				icon = ST[172895],
			},
			ExpelMagicArcanesay = {
				varname = format(L.alert["%s %s %s!"],SN[162186],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[162186],L.alert["on"],L.alert["Me"]),
				desc = 162186,
				icon = ST[162186],
			},
			ExpelMagicFrostsay = {
				varname = format(L.alert["%s %s %s!"],SN[172747],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[172747],L.alert["on"],L.alert["Me"]),
				desc = 172747,
				icon = ST[172747],
			},			
			SuppressionFieldsay = {
				varname = format(L.alert["%s %s %s!"],SN[161328],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[161328],L.alert["on"],L.alert["Me"]),
				desc = 161328,
				icon = ST[161328],
			},				
		},		
		messages = {
			mCausticEnergy = {
				varname = format(L.alert["%s %s %s"],SN[161242],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|CausticEnergyunists&"],SN[161242],L.alert["on"]),
				color1 = "PURPLE",
				sound = "ALERT13",
				desc = 161242,
				icon = ST[161242],
				throttle = 3,
			},
			mExpelMagicFel = {
				varname = format(L.alert["%s %s %s"],SN[172895],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|ExpelMagicFelunists&"],SN[172895],L.alert["on"]),
				color1 = "TAN",
				sound = "ALERT13",
				desc = 172895,
				icon = ST[172895],
			},			
			mMC = {
				varname = format(L.alert["%s %s %s"],SN[163472],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|MCunists&"],SN[163472],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 163472,
				icon = ST[163472],
			},				
			mExpelMagicArcane = {
				varname = format(L.alert["%s %s %s"],SN[162186],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &upvalue&"],SN[162186],L.alert["on"]),
				color1 = "CYAN",
				sound = "ALERT13",
				desc = 162186,
				icon = ST[162186],
				--exdps = true,
				--exhealer = true,
			},
			mExpelMagicFrost = {
				varname = format(L.alert["%s %s %s"],SN[172747],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &upvalue&"],SN[172747],L.alert["on"]),
				color1 = "TAN",
				sound = "ALERT11",
				desc = 172747,
				icon = ST[172747],
			},			
			mVulnerability = {
				varname = format(L.alert["%s!"],SN[160734]),
				type = "message",
				text = format(L.alert["%s!"],SN[160734]),
				color1 = "GREEN",
				sound = "ALERT14",
				desc = 160734,
				icon = ST[160734],
				--exdps = true,
				--extank = true,
			},	
			mSuppressionField = {
				varname = format(L.alert["%s %s %s"],SN[161328],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[161328],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 161328,
				icon = ST[161328],
			},			
		},
		onstart = {
			{
				"batchalert",{"ExpelMagicFireCD","ExpelMagicArcaneCD","ExpelMagicFrostCD","ExpelMagicShadowCD","BallsCD"},
				--"set",{gettime = "&gettime&"},
				"scheduletimer",{"timerVulnerabilitySoon",1},
			},
			{
				"expect",{"&mythic&","==","true"},
				"alert","ExpelMagicFelCD",
				--"set",{nextMC = "<gettime>"},
				--"set",{nextMC = "INCR|90"},
			},
			--[[{
				"set",{nextArcane = "<gettime>"},
				"set",{nextFrost = "<gettime>"},
				"set",{nextBall = "<gettime>"},
				-------------------------------------
				"set",{nextArcane = "INCR|30"},
				"set",{nextFrost = "INCR|40"},
				"set",{nextBall = "INCR|36"},			
			},--]]
		},
		alerts = {
			SuppressionFieldCD = {
				varname = format(L.alert["%s Cooldown"],SN[161328]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[161328]),
				time = 16,
				time2 = "<suppressionfield>",
				color1 = "GLOBAL",
				icon = ST[161328],
				desc = 161328,				
			},
			ExpelMagicArcaneCD = {
				varname = format(L.alert["%s Cooldown"],SN[162186]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[162186]),
				time = 30,
				time2 = "<arcane>",
				time3 = 26.7,
				color1 = "GLOBAL",
				icon = ST[162186],
				desc = 162186,				
			},
			ExpelMagicFrostCD = {
				varname = format(L.alert["%s Cooldown"],SN[172747]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[172747]),
				time = 40,
				time2 = "<frost>",
				time3 = 60,
				color1 = "GLOBAL",
				icon = ST[172747],
				desc = 172747,				
			},
			ExpelMagicShadowCD = {
				varname = format(L.alert["%s Cooldown"],SN[162184]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[162184]),
				time = 55,
				time2 = 63,
				time3 = "<shadow>",
				color1 = "GLOBAL",
				icon = ST[162184],
				desc = 162184,				
			},	
			ExpelMagicFireCD = {
				varname = format(L.alert["%s Cooldown"],SN[162185]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[162185]),
				time = 6,
				time2 = 63,
				time3 = "<fire>",
				color1 = "GLOBAL",
				icon = ST[162185],
				desc = 162185,				
			},				
			ExpelMagicFelCD = { -- Mythic
				varname = format(L.alert["%s Cooldown"],SN[172895]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[172895]),
				time = 8,
				time2 = "<fel>",
				time3 = 6,
				time4 = 15.7,
				color1 = "GLOBAL",
				icon = ST[172895],
				desc = 172895,				
			},
			BallsCD = {
				varname = format(L.alert["%s Cooldown"],SN[161612]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[161612]),
				time = 36,
				time2 = 30,
				time3 = "<balls>",
				color1 = "GLOBAL",
				icon = ST[161612],
				desc = 161612,				
			},				
			-- Warning
			wExpelMagicFire = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[162185]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[162185]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[162185],
				sound = "ALERT11",
				desc = 162185,
			},	
			wExpelMagicShadow = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[162184]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[162184]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[162184],
				sound = "ALERT13",
				desc = 162184,
				exdps = true,
				extank = true,
			},
			--[[wExpelMagicFrost = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[161411]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[161411]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[161411],
				sound = "ALERT13",
				desc = 161411,
			},--]]
			wExpelMagicFrost = {
				varname = format(L.alert["%s!"],SN[172747]),
				type = "simple",
				text = format(L.alert["%s!"],SN[172747]),
				time = 2,
				color1 = "RED",
				icon = ST[172747],
				sound = "ALERT11",
				desc = 172747,
			},			
			wForfeitPower = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[163517]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[163517]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[163517],
				sound = "ALERT13",
				desc = 163517,
			},
			wNullification = {
				varname = format(L.alert["%s!"],SN[156803]),
				type = "simple",
				text = format(L.alert["%s!"],SN[156803]),
				time = 2,
				color1 = "GREEN",
				icon = ST[156803],
				sound = "ALERT14",
				desc = 156803,
			},	
			wExpelMagicFel = {
				varname = format(L.alert["%s!"],SN[172895]),
				type = "simple",
				text = format(L.alert["%s!"],SN[172895]),
				time = 2,
				color1 = "RED",
				icon = ST[172895],
				sound = "ALERT11",
				desc = 172895,
			},
			wVulnerabilitySoon = {	
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[160734]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[160734]),
				time = 2,
				color1 = "GREEN",
				icon = ST[160734],
				desc = 160734,
				sound = "ALERT1",
			},			
			-- Inform
			iSuppressionField = {
				varname = format(L.alert["%s %s %s, %s!"],SN[161328],L.alert["on"],L.alert["YOU"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s %s, %s!"],SN[161328],L.alert["on"],L.alert["YOU"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[161328],
				sound = "ALERT11",
				desc = 161328,
			},
			iExpelMagicFrost = {
				varname = format(L.alert["%s %s %s, %s!"],SN[172747],L.alert["on"],L.alert["YOU"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s %s, %s!"],SN[172747],L.alert["on"],L.alert["YOU"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[172747],
				sound = "ALERT11",
				desc = 172747,
				flashscreen = true,
			},		
			iExpelMagicArcane = {
				varname = format(L.alert["%s %s %s, %s!"],SN[162186],L.alert["on"],L.alert["YOU"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s %s, %s!"],SN[162186],L.alert["on"],L.alert["YOU"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[162186],
				sound = "ALERT11",
				desc = 162186,
				flashscreen = true,
			},
			--[[iExpelMagicFire = {
				varname = format(L.alert["%s %s %s, %s!"],SN[162185],L.alert["on"],L.alert["YOU"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s %s, %s!"],SN[162185],L.alert["on"],L.alert["YOU"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[162185],
				sound = "ALERT11",
				desc = 162185,
				flashscreen = true,
			},--]]
			iExpelMagicFire = {
				varname = format(L.alert["%s!"],SN[162185]),
				type = "inform",
				text = format(L.alert["%s!"],SN[162185]),
				time = 4,
				color1 = "RED",
				icon = ST[162185],
				sound = "ALERT13",
				desc = 162185,
				flashscreen = true,
			},			
			iMC = {
				varname = format(L.alert["%s %s!"],SN[163472],L.alert["SWITCH TARGET"]),
				type = "inform",
				text = format(L.alert["%s %s!"],SN[163472],L.alert["SWITCH TARGET"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[162894],
				desc = 163472,
			},	
			iVulnerability = {
				varname = format(L.alert["%s!"],SN[160734]),
				type = "inform",
				text = format(L.alert["%s!"],SN[160734]),
				time = 2,
				color1 = "ORANGE",
				sound = "ALERT14",
				icon = ST[160734],
				desc = 160734,
				exhealer = true,
			},
			-- Casts
			ExpelMagicFrostCast = {
				varname = format(L.alert["%s Active"],SN[161411]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[161411]),
				time = 20,
				color1 = "RED",
				icon = ST[161411],
				desc = 161411,
			},	
			VulnerabilityCast = {
				varname = format(L.alert["%s Active"],SN[160734]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[160734]),
				time = 20,
				color1 = "GREEN",
				icon = ST[160734],
				desc = 160734,
			},
			ExpelMagicFireCast = {
				varname = format(L.alert["%s Active"],SN[162185]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[162185]),
				time = 10,
				color1 = "RED",
				icon = ST[162185],
				desc = 162185,
			},				
			-- Debuff
			ExpelMagicArcaneDebuff = {
				varname = format(L.alert["%s Debuff"],SN[162186]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[162186]),
				text2 = format(L.alert["#5#: %s"],SN[162186]),
				time = 10,
				color1 = "PURPLE",
				desc = 162186,
				icon = ST[162186],
				tag = "#5#",
				exdps = true,				
			},	
			ExpelMagicFelDebuff = {
				varname = format(L.alert["%s Debuff"],SN[172895]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[172895]),
				text2 = format(L.alert["#5#: %s"],SN[172895]),
				time = 12,
				color1 = "RED",
				desc = 172895,
				icon = ST[172895],
				tag = "#5#",
				exdps = true,				
			},				
		},
		events = {
			-- ExpelMagicFire
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {162185},
				execute = {
					{
						"alert","wExpelMagicFire",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {162185},
				execute = {
					{
						--"schedulealert",{"iExpelMagicFire",6},
						"alert",{"ExpelMagicFireCD", time = 2},
						"batchalert",{"iExpelMagicFire","ExpelMagicFireCast"},
						"openwindow",{"5",nil,false,162185},
						"scheduletimer",{"ExpelMagicFire",10},
					},
				},
			},			
			--[[{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {162185},
				dstisplayerunit = true,
				execute = {
					{
						--"schedulealert",{"iExpelMagicFire",6},
						"batchalert",{"iExpelMagicFire","ExpelMagicFireCast"},
						"openwindow",{"5"},
						"scheduletimer",{"ExpelMagicFire",10},
					},
				},
			},--]]
			--[[{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {162185},
				dstisplayerunit = true,
				execute = {
					{
						"closewindow",
					},
				},
			},	--]]	
			-- ExpelMagicShadow
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {162184},
				execute = {
					{
						"alert",{"ExpelMagicShadowCD", time = 2},
						"alert","wExpelMagicShadow",
					},
				},
			},
			-- ExpelMagicFrost
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {172747}, 
				execute = {
					{
						"target",{
							source = "#1#",
							wait = 0.1,
							schedule = 16,
							message = "mExpelMagicFrost",
							--arrow = "ExpelMagicFrostwarrow",
							--arrowrange = 30,
							--arrowdef = "<",							
							announce = "ExpelMagicFrostsay",
							alerts = {
								self = "iExpelMagicFrost",
								other = "wExpelMagicFrost",
							},
						},
					},				
					{
						"alert","ExpelMagicFrostCast",
						--"set",{nextFrost = "&gettime|60&"},	
						"alert",{"ExpelMagicFrostCD", time = 3},
					--	"alert","wExpelMagicFrost",
					},
				},
			},
			-- ForfeitPower
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {163517},
				execute = {
					{
						"alert","wForfeitPower",
					},
				},
			},	
			-- ExpelMagicArcane
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {162186},
				execute = {
					{
						"target",{
							source = "#1#",
							wait = 0.1,
							schedule = 1,
							message = "mExpelMagicArcane",
							announce = "ExpelMagicArcanesay",
							alerts = {
								self = "iExpelMagicArcane",
								--other = "",
							},
						},
					},	
					{
						"alert",{"ExpelMagicArcaneCD", time = 3},
						--"expect",{"&istargettank|player|boss1&","==","true"},
						--"alert","iExpelMagicArcane",
					},					
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS", -- SPELL_AURA_APPLIED
				spellid = {162186},
				execute = {
					{
						--"message","mExpelMagicArcane",
						"raidicon","ExpelMagicArcanemark",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						--"announce","ExpelMagicArcanesay",
						"alert","ExpelMagicArcaneDebuff",
						"openwindow",{"5",nil,false,162186},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"ExpelMagicArcaneDebuff", text = 2},
					},					
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {162186},
				--dstisplayerunit = true,
				execute = {
					{
						"removeraidicon","#5#",
						"closewindow",
						"quash","ExpelMagicArcaneDebuff",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"expect",{"&playerdebuff|"..SN[162185].."&","==","false"}, -- Expel Fire
						"openwindow",{"5",nil,false,162185},
					},
				},
			},			
			-- CausticEnergy
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {161242},
				execute = {
					{
						"insert",{"CausticEnergyunists","#5#"},
						"canceltimer","timerCausticEnergy",
						"scheduletimer",{"timerCausticEnergy",1},
					},
				},
			},
			------ Mythic
			-- ExpelMagicFel
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {172895},
				execute = {
					{
						"insert",{"ExpelMagicFelunists","#5#"},
						"canceltimer","timerExpelMagicFel",
						"scheduletimer",{"timerExpelMagicFel",0.5},
						"raidicon","ExpelMagicFelmark",
						"set",{FelCount = "INCR|1"},
					},
					{
						"expect",{"#4#","==","&playerguid&"},				
						"announce","ExpelMagicFelsay",
						"alert","ExpelMagicFelDebuff",
						"set",{FelOnMe = "1"},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"ExpelMagicFelDebuff", text = 2},
					},	
					{
						"expect",{"<FelCount>","==","3"},
						"expect",{"<FelOnMe>","==","0"},
						"alert","wExpelMagicFel",
					},						
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {172895},
				execute = {
					{
						"removeraidicon","#5#",
						"quash","ExpelMagicFelDebuff",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {172895},
				execute = {
					{
						"set",{FelCount = "0"},
						"set",{FelOnMe = "0"},
						"alert",{"ExpelMagicFelCD", time = 4},
					},
				},
			},			
			-- MC
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {163472},
				execute = {
					{
						"insert",{"MCunists","#5#"},
						"canceltimer","timerMC",
						"scheduletimer",{"timerMC",0.5},
						--"set",{nextMC = "&gettime|60&"},
					},
					{
						"expect",{"&isdps&","==","true"},
						"alert","iMC",
					},
				},
			},
			-- NullBarrier
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {156803},
				execute = {
					{
						"set",{intermission = "0"},
						--"debug",{"wNullification"},
						"alert","wNullification",
					},
					{
						"expect",{"<suppressionfield>",">","1"},
						--"debug",{"suppressionfield","<suppressionfield>"},
						"alert",{"SuppressionFieldCD", time = 2},
					},
					{
						"expect",{"<arcane>",">","1"},
						--"debug",{"arcane","<arcane>"},
						"alert",{"ExpelMagicArcaneCD", time = 2},
					},	
					{
						"expect",{"<frost>",">","1"},
						--"debug",{"frost","<frost>"},
						"alert",{"ExpelMagicFrostCD", time = 2},
					},	
					{
						"expect",{"<shadow>",">","1"},
						--"debug",{"shadow","<shadow>"},
						"alert",{"ExpelMagicShadowCD", time = 3},
					},	
					{
						"expect",{"<fire>",">","1"},
						--"debug",{"fire","<fire>"},
						"alert",{"ExpelMagicFireCD", time = 3},
					},						
					{
						"expect",{"&mythic&","==","true"},
						"expect",{"<fel>",">","1"},
						"alert",{"ExpelMagicFelCD", time = 2},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {156803},
				execute = {
					{
						"expect",{"&timeleft|SuppressionFieldCD|0&",">","3"},
						"set",{suppressionfield = "&timeleft|SuppressionFieldCD|0&"},
					},
					{
						"expect",{"&timeleft|ExpelMagicShadowCD|0&",">","3"},
						"set",{shadow = "&timeleft|ExpelMagicShadowCD|0&"},
					},	
					{
						"expect",{"&timeleft|ExpelMagicFireCD|0&",">","3"},
						"set",{fire = "&timeleft|ExpelMagicFireCD|0&"},
					},	
					{
						"expect",{"&timeleft|ExpelMagicArcaneCD|0&",">","3"},
						"set",{arcane = "&timeleft|ExpelMagicArcaneCD|0&"},
					},	
					{
						"expect",{"&timeleft|ExpelMagicFrostCD|0&",">","3"},
						"set",{frost = "&timeleft|ExpelMagicFrostCD|0&"},
					},	
					{
						"expect",{"&timeleft|BallsCD|0&",">","3"},
						"set",{balls = "&timeleft|BallsCD|0&"},
					},					
					{
						"set",{intermission = "1"},
						"batchquash",{"SuppressionFieldCD","ExpelMagicArcaneCD","ExpelMagicFrostCD","BallsCD","ExpelMagicShadowCD","ExpelMagicFireCD"},
					},
					{
						"expect",{"&mythic&","==","true"},
						"invoke",{
							{
								"expect",{"&timeleft|BallsCD|0&",">","3"},
								"set",{fel = "&timeleft|ExpelMagicFelCD|0&"},
								"quash","ExpelMagicFelCD",
							},
						},
					},
					{
						"expect",{"<balls>",">","4"},
						"quash","BallsCD",
						"set",{balls = "INCR|22"},
						"alert",{"BallsCD", time = 3},
					},
				},
			},
			-----------------------
			{
				type = "event",
				event = "UNIT_SPELLCAST_SUCCEEDED",
				execute = {
					{
						"expect",{"#1#","==","boss1"},
						"invoke",{
							{
								"expect",{"#5#","==","160734"}, -- Vulnerability
								"message","mVulnerability",
								"alert","iVulnerability",
								"alert","VulnerabilityCast",
								--"batchquash",{"SuppressionFieldCD","ExpelMagicArcaneCD","ExpelMagicFrostCD","ExpelMagicFelCD"},
								--[["set",{gettime = "&gettime&"},
								"set",{nextArcane = "INCR|24"},
								"set",{nextFrost = "INCR|24"},
								---------------------------------
								"set",{nextArcane = "DECR|<gettime>"},
								"alert",{"ExpelMagicArcaneCD", time = 2},
								"set",{nextFrost = "DECR|<gettime>"},
								"alert",{"ExpelMagicFrostCD", time = 2},
								"invoke",{
									{
										"expect",{"&mythic&","==","true"},
										"set",{nextMC = "DECR|<gettime>"},
										"expect",{"<nextMC>",">","4"},
										"set",{nextMC = "INCR|24"},
									},
								},--]]
							},
							--[[{
								"expect",{"#5#","==","156803"}, -- Nullification Barrier
								"alert","wNullification",
								"invoke",{
									{
										"expect",{"&mythic&","==","true"},
										"alert",{"ExpelMagicFelCD", time = 3},
									},
								},								
							},	--]]							
						},
					},				
				},
			},
			-- Suppression
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {161328},
				execute = {
					{
						"set",{Suppression = 1},
						"alert","SuppressionFieldCD",
					},
				},
			},	
			{
				type = "event",
				event = "YELL",
				execute = {
					{
						"expect",{"<Suppression>","==","1"},
						--"alert","SuppressionFieldCD",
						"message","mSuppressionField",
						"set",{Suppression = 0},
						"invoke", {
							{
								"expect",{"#5#","==","&playername&"},
								"alert","iSuppressionField",
								"announce","SuppressionFieldsay",
							},
							{
								"expect",{"#5#","~=","&playername&"},
								"arrow","SuppressionFieldwarrow",
							},							
						},
					},
					--[[{
						"expect",{"#1#","find",L.chat_Highmaul["(I will crush you!)"]},
						"dbmsync",{"ChargeTo","#5#"},
					},
					{
						"expect",{"#1#","find",L.chat_Highmaul["(Silence!)"]},
						"dbmsync",{"ChargeTo","#5#"},
					},
					{
						"expect",{"#1#","find",L.chat_Highmaul["(Quiet!)"]},
						"dbmsync",{"ChargeTo","#5#"},
					},
					{
						"expect",{"#1#","find",L.chat_Highmaul["(I will tear you in half!)"]},
						"dbmsync",{"ChargeTo","#5#"},
					},--]]
				},
			},
			{
				type = "event",
				event = "CHAT_MSG_ADDON", 
				execute = {
					{
						"expect",{"#1#","==","D4"},
						"invoke",{
							{
								"expect",{"<dbm>","==","0"},
								"set",{dbm = "1"},
								--"debug",{"#2#","#3","#4#"},
								"expect",{"&sync|DBM|#2#&","==","Ball"},
								--"set",{target = "&sync|DBM|#2#|true&"},
								"scheduletimer",{"timerDBM",6},
								"invoke",{
									{
										"expect",{"<intermission>","==","1"},
										"set",{balls = 52.5},
										"alert",{"BallsCD", time = 3},
									},
									{
										"expect",{"<intermission>","==","0"},
										"set",{balls = 30},
										"alert",{"BallsCD", time = 3},
									},									
								},
							},
						},
					},					
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end