local AL = LibStub("AceLocale-3.0")

local silent = true

local L = AL:GetLocale("DXE")
if not L then
    local L = AL:NewLocale("DXE", "enUS", true, silent)
end

if L then
	-- Chat triggers
	local chat_Highmaul = AL:NewLocale("DXE Chat Highmaul", "enUS", true, silent)
	AL:GetLocale("DXE").chat_Highmaul = AL:GetLocale("DXE Chat Highmaul")
	-- NPC names
	local npc_Highmaul = AL:NewLocale("DXE NPC Highmaul", "enUS", true, silent)
	AL:GetLocale("DXE").npc_Highmaul = AL:GetLocale("DXE NPC Highmaul")
	if GetLocale() == "enUS" or GetLocale() == "enGB" then return end
end

local L = AL:NewLocale("DXE", "ruRU")
if L then
	-- Chat triggers
	local chat_Highmaul = AL:NewLocale("DXE Chat Highmaul", "ruRU")
	
	-- KargathBladefist
	chat_Highmaul["MOVE TO PILLAR OF FLAMES"] = "Двигайтесь в Огненный столб"
	-- Tectus
	chat_Highmaul["(RISE, MOUNTAINS!)"] = "(ВОССТАНЬТЕ, ГОРЫ!)"

	AL:GetLocale("DXE").chat_Highmaul = AL:GetLocale("DXE Chat Highmaul")
	
	-- NPC names
	local npc_Highmaul = AL:NewLocale("DXE NPC Highmaul", "ruRU")

 	npc_Highmaul["Kargath Bladefist"] = "Каргат Острорук"
	npc_Highmaul["The Butcher"] = "Мясник"
	npc_Highmaul["Tectus"] = "Тектоник"
	npc_Highmaul["Brackenspore"] = "Бурогриб"
	npc_Highmaul["Twin Ogron"] = "Огроны-близнецы"
 	npc_Highmaul["Ko'ragh"] = " Ко'раг"
 	npc_Highmaul["Imperator Mar'gok"] = " Император Мар'гок"
	
	npc_Highmaul["Trash: Oro"] = "Трэш: Оро"
	npc_Highmaul["Trash: Gorian Runemaster"] = "Трэш: Горианский мастер рун"
	npc_Highmaul["Trash: Gorian Arcanist"] = "Трэш: Горианский чародей"
	npc_Highmaul["Trash: Breaker Ritualist"] = "трэш: Ритуалист-сокрушитель"

	AL:GetLocale("DXE").npc_Highmaul = AL:GetLocale("DXE NPC Highmaul")
	return
end

local L = AL:NewLocale("DXE", "deDE")
if L then
	-- Chat triggers
	local chat_Highmaul = AL:NewLocale("DXE Chat Highmaul", "deDE")
	
	-- Tectus
	chat_Highmaul["(RISE, MOUNTAINS!)"] = "(ERHEBT EUCH, BERGE!)"

	AL:GetLocale("DXE").chat_Highmaul = AL:GetLocale("DXE Chat Highmaul")
	
	-- NPC names
	local npc_Highmaul = AL:NewLocale("DXE NPC Highmaul", "deDE")

 	npc_Highmaul["Kargath Bladefist"] = "Каргат Острорук"
	npc_Highmaul["The Butcher"] = "Мясник"
	npc_Highmaul["Tectus"] = "Тектоник"
	npc_Highmaul["Brackenspore"] = "Бурогриб"
	npc_Highmaul["Twin Ogron"] = "Огроны-близнецы"
 	npc_Highmaul["Ko'ragh"] = " Ко'раг"
 	npc_Highmaul["Imperator Mar'gok"] = " Император Мар'гок"
	
	npc_Highmaul["Trash: Oro"] = "Uitschot: Oro"
 	npc_Highmaul["Trash: Gorian Runemaster"] = "Uitschot: Gorianischer Runenmeister"
 	npc_Highmaul["Trash: Gorian Arcanist"] = "Uitschot: Gorianischer Arkanist"
	npc_Highmaul["Trash: Breaker Ritualist"] = "Uitschot: Brecherritualist"	

	AL:GetLocale("DXE").npc_Highmaul = AL:GetLocale("DXE NPC Highmaul")
	return
end

local L = AL:NewLocale("DXE", "zhCN")
if L then
	-- Chat triggers
	local chat_Highmaul = AL:NewLocale("DXE Chat Highmaul", "zhCN")
	
	-- Tectus
	chat_Highmaul["(RISE, MOUNTAINS!)"] = "(群山，动起来吧！)"

	AL:GetLocale("DXE").chat_Highmaul = AL:GetLocale("DXE Chat Highmaul")
	
	-- NPC names
	local npc_Highmaul = AL:NewLocale("DXE NPC Highmaul", "zhCN")

    npc_Highmaul["Kargath Bladefist"] = "卡加斯·刃拳"
    npc_Highmaul["The Butcher"] = "屠夫"
    npc_Highmaul["Brackenspore"] = "布兰肯斯波"
    npc_Highmaul["Tectus"] = "泰克图斯，活体之山"
    npc_Highmaul["Twin Ogron"] = "独眼魔双子"
    npc_Highmaul["Ko'ragh"] = "克拉戈"
    npc_Highmaul["Imperator Mar'gok"] = "元首马尔高克" 
	
	npc_Highmaul["Trash: Oro"] = "垃圾: 奥罗"
 	npc_Highmaul["Trash: Gorian Runemaster"] = "垃圾: 高里亚符文大师"
 	npc_Highmaul["Trash: Gorian Arcanist"] = "垃圾: 高里亚奥术师"
	npc_Highmaul["Trash: Breaker Ritualist"] = "垃圾: 毁灭者祭师"	

	AL:GetLocale("DXE").npc_Highmaul = AL:GetLocale("DXE NPC Highmaul")
	return
end




