local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

local EJName = EJ_GetEncounterInfo(1433)
do
	local data = {
		version = 3,
		key = "ShadowLordIskar",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = EJName,
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-ShadowLordIskar.BLP:35:35",
		triggers = {
			scan = {90316}, 
			--encounterid = 1788,
			ejid = 1433,
		},
		onactivate = {
			tracing = {
				90316,
				markers1 = {30,55,80},
			},
			tracerstart = true,
			combatstop = true,
			unittracing = {"boss1"},
			defeat = 90316,
		},
		windows = {
			proxwindow = true,
		},
		enrage = {

		},
		arrows = {
			FelIncinerationarrow = {
				varname = SN[182582],
				unit = "#4#",
				persist = 5,
				action = "AWAY",
				msg = L.alert["MOVE AWAY!"],
				spell = SN[182582],
				range1 = 1,
				range2 = 5,
				range3 = 10,
				desc = 182582,
				icon = ST[182582],
			},
			--[[FocusedBlastArrow = {
				varname = SN[181912].." - "..L.alert["GO TO HIM!"],
				unit = "<AnzuHolder>",
				persist = 5,
				action = "TOWARD",
				msg = L.alert["GO TO HIM!"],
				spell = SN[181912],
				range1 = 2,
				range2 = 8,
				range3 = 12,
				desc = 181912,
				icon = ST[181912],
				sound = "ALERT18",
			},	--]]	
		},
		raidicons = {
			EyeOfAnzumark = {
				varname = SN[179202],
				type = "FRIENDLY",
				persist = 20,
				unit = "#5#", 
				icon = 2,
				desc = 179202,
				icon2 = ST[179202],
			},
			PhantasmalWindsmark = {
				varname = SN[181957],
				type = "MULTIFRIENDLY",
				persist = 60,
				unit = "#5#", 
				icon = 3,
				total = 6,
				reset = 10,				
				desc = 181957,
				icon2 = ST[181957],
				exlfr = true,
			},			
		},			
		userdata = {
			PhantasmalWindsunits = {type = "container", wipein = 3},
			PhantasmalWoundsunits = {type = "container", wipein = 3},
			PhantasmalFelBombunits = {type = "container", wipein = 3},
			FelChakramunits = {type = "container", wipein = 3},
			DarkBindingsunits = {type = "container", wipein = 3},
			FelIncinerationsync = 0,
			shadowEscapeCount = 1,
			playerHasAnzu = 0,
			AnzuHolder = "",
			SafeFocusedBlast = 1,
		},
		timers = {
			timerResetSync = {
				{
					"message","mPhantasmalWounds",
				},
			},			
			timerPhantasmalWinds = {
				{
					"message","mPhantasmalWinds",
				},
			},
			timerPhantasmalWounds = {
				{
					"message","mPhantasmalWounds",
				},
			},	
			timerPhantasmalFelBomb = {
				{
					"message","mPhantasmalFelBomb",
				},
			},			
			timerFelChakram = {
				{
					"message","mFelChakram",
				},
			},
			timerDarkBindings = {
				{
					"message","mDarkBindings",
				},
			},
			timerPhaseOne = {
				{
					"alert","Phase1",
					"alert",{"FelChakramCD", time = 2},
				},
			},			
		},	
		announces = { 
			PhantasmalCorruptionsay = {
				varname = format(L.alert["%s %s %s!"],SN[181824],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[181824],L.alert["on"],L.alert["Me"]),
				desc = 181824,
				icon = ST[181824],
			},
			PhantasmalFelBombsay = {
				varname = format(L.alert["%s %s %s!"],SN[179219],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[179219],L.alert["on"],L.alert["Me"]),
				desc = 179219,
				icon = ST[179219],
				flashcolor = "RED",
				flashscreen = true,				
			},			
			FelBombsay = {
				varname = format(L.alert["%s %s %s!"],SN[181753],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[181753],L.alert["on"],L.alert["Me"]),
				desc = 181753,
				icon = ST[181753],
				flashcolor = "RED",
				flashscreen = true,
			},
			FelChakramsay = {
				varname = format(L.alert["%s %s %s!"],SN[182200],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[182200],L.alert["on"],L.alert["Me"]),
				desc = 182200,
				icon = ST[182200],
			},
			EyeOfAnzusay = {
				varname = format(L.alert["%s %s %s!"],SN[179202],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[179202],L.alert["on"],L.alert["Me"]),
				desc = 179202,
				icon = ST[179202],
				flashcolor = "ORANGE",
				flashscreen = true,
				sound = "ALERT9",
			},
			DarkBindingssay = {
				varname = format(L.alert["%s %s %s!"],SN[185510],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[185510],L.alert["on"],L.alert["Me"]),
				desc = 185510,
				icon = ST[185510],
			},			
		},			
		messages = {
			mPhantasmalFelBomb = {
				varname = format(L.alert["%s %s %s"],SN[179219],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|PhantasmalFelBombunits&"],SN[179219],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 179219,
				icon = ST[179219],
			},				
			mDarkBindings = {
				varname = format(L.alert["%s %s %s"],SN[185510],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|DarkBindingsunits&"],SN[185510],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 185510,
				icon = ST[185510],
			},			
			mFelChakram = {
				varname = format(L.alert["%s %s %s"],SN[182200],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|FelChakramunits&"],SN[182200],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 182200,
				icon = ST[182200],
			},		
			mPhantasmalWinds = {
				varname = format(L.alert["%s %s %s"],SN[185757],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|PhantasmalWindsunits&"],SN[185757],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 185757,
				icon = ST[185757],
			},
			mPhantasmalWounds = {
				varname = format(L.alert["%s %s %s"],SN[182325],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|PhantasmalWoundsunits&"],SN[182325],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 182325,
				icon = ST[182325],
			},
			mPhantasmalCorruption = {
				varname = format(L.alert["%s %s %s"],SN[181824],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU&"],SN[181824],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 181824,
				icon = ST[181824],
			},	
			mFelBomb = {
				varname = format(L.alert["%s %s %s"],SN[181753],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU&"],SN[181753],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 181753,
				icon = ST[181753],
			},	
			mFelIncineration = {
				varname = format(L.alert["%s %s %s"],SN[182582],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &colorplayer|#4#&"],SN[182582],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 182582,
				icon = ST[182582],
			},	
			mEyeOfAnzu = {
				varname = format(L.alert["%s %s %s"],SN[179202],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU&"],SN[179202],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 179202,
				icon = ST[179202],
			},
			mDarkBindingsInc = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[185510]),
				type = "message",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[185510]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 185510,
				icon = ST[185510],
			},				
		},
		onstart = {
			{
				"alert","PhantasmalWindsCD",
				"alert",{"FelChakramCD", time = 2},
			},
			{
				"expect",{"&mythic&","==","true"},
				"alert","ShadowRiposteCD",
			},
		},
		alerts = {
			PhantasmalWindsCD = {
				varname = format(L.alert["%s Cooldown"],SN[181956]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[181956]),
				time = 16,
				time2 = 36,
				color1 = "GLOBAL",
				icon = ST[181956],
				desc = 181956,
			},
			PhantasmalCorruptionCD = {
				varname = format(L.alert["%s Cooldown"],SN[181824]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[181824]),
				time = 16,
				color1 = "GLOBAL",
				icon = ST[181824],
				desc = 181824,
			},			
			ShadowRiposteCD = {
				varname = format(L.alert["%s Cooldown"],SN[185345]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[185345]),
				time = 9.5,
				time2 = 27,
				color1 = "GLOBAL",
				icon = ST[185345],
				desc = 185345,
			},
			FelChakramCD = {
				varname = format(L.alert["%s Cooldown"],SN[182200]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[182200]),
				time = 34,
				time2 = 5.5,
				color1 = "GLOBAL",
				icon = ST[182200],
				desc = 182200,
			},
			FelBombCD = {
				varname = format(L.alert["%s Cooldown"],SN[181753]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[181753]),
				time = 15.9,
				color1 = "GLOBAL",
				icon = ST[181753],
				desc = 181753,
			},	
			FelConduitCD = {
				varname = format(L.alert["%s Cooldown"],SN[181827]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[181827]),
				time = 15.9,
				color1 = "GLOBAL",
				icon = ST[181827],
				desc = 181827,
			},
			PhaseOneCD = {
				varname = format(L.alert["%s Cooldown"],L.alert["Phase One"]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],L.alert["Phase One"]),
				time = 40,
				color1 = "GLOBAL",
				icon = ST[181753],
				--desc = 181827,
			},	
			DarkBindingsCD = {
				varname = format(L.alert["%s Cooldown"],SN[185510]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[185510]),
				time = 34,
				color1 = "GLOBAL",
				icon = ST[185510],
				desc = 185510,
			},			
			-- Warning
			Phase1 = {
				varname = format(L.alert["Phase One"]),
				type = "simple",
				text = format(L.alert["Phase One"]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[181753],
				sound = "ALERT13",
			},			
			Phase2 = {
				varname = format(L.alert["Phase Two"]),
				type = "simple",
				text = format(L.alert["Phase Two"]),
				time = 2,
				color1 = "YELLOW",
				icon = ST[181873],
				sound = "ALERT13",
			},
			wFocusedBlast = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[181912]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[181912]),
				time = 2,
				color1 = "RED",
				icon = ST[181912],
				sound = "ALERT11",
				desc = 181912,
				flashscreen = true,
			},
			wFelConduit = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[181827]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[181827]),
				time = 2,
				color1 = "RED",
				icon = ST[181827],
				sound = "ALERT10",
				desc = 181827,
			},
			-- Inform
			iPhantasmalWinds = {
				varname = format(L.alert["%s %s %s, %s!"],SN[185757],L.alert["on"],L.alert["YOU"],L.alert["RUN AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s %s, %s!"],SN[185757],L.alert["on"],L.alert["YOU"],L.alert["RUN AWAY"]),
				time = 2,
				color1 = "CYAN",
				icon = ST[185757],
				sound = "ALERT12",
				desc = 185757,
			},			
			iFelFireDamage = {
				varname = format(L.alert["%s %s, %s!"],SN[182600],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s, %s!"],SN[182600],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[182600],
				sound = "ALERT12",
				desc = 182600,
				flashscreen = true,
				throttle = 1.5,
			},			
			iFelChakram = {
				varname = format(L.alert["%s %s %s, %s!"],SN[182200],L.alert["on"],L.alert["YOU"],L.alert["RUN AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s %s, %s!"],SN[182200],L.alert["on"],L.alert["YOU"],L.alert["RUN AWAY"]),
				time = 2,
				color1 = "YELLOW",
				icon = ST[182200],
				sound = "ALERT12",
				desc = 182200,
				flashscreen = true,
			},
			iFelChakramTaunt = {
				varname =  format(L.alert["%s %s %s - %s!"],SN[182200],L.alert["on"],L.alert["player"],L.alert["Taunt"]),
				type = "inform",
				text = format(L.alert["%s %s #5# - %s!"],SN[182200],L.alert["on"],L.alert["Taunt"]),
				time = 2,
				color1 = "INDIGO",
				sound = "ALERT14",
				icon = ST[182200],
				desc = 182200,
				exdps = true,
				exhealer = true,
			},
			iFelIncineration = {
				varname = format(L.alert["%s %s %s, %s!"],SN[182582],L.alert["on"],L.alert["YOU"],L.alert["RUN AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s %s, %s!"],SN[182582],L.alert["on"],L.alert["YOU"],L.alert["RUN AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[182582],
				sound = "ALERT12",
				desc = 182582,
			},
			iPhantasmalFelBomb = {
				varname = format(L.alert["%s %s %s, %s!"],SN[179219],L.alert["on"],L.alert["YOU"],L.alert["RUN AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s %s, %s!"],SN[179219],L.alert["on"],L.alert["YOU"],L.alert["RUN AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[179219],
				sound = "ALERT12",
				desc = 179219,
			},
			iFelBomb = {
				varname = format(L.alert["%s %s %s, %s!"],SN[181753],L.alert["on"],L.alert["YOU"],L.alert["RUN AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s %s, %s!"],SN[181753],L.alert["on"],L.alert["YOU"],L.alert["RUN AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[181753],
				sound = "ALERT12",
				desc = 181753,
			},
			iStack = {
				varname = format(L.alert["%s: %s!"],SN[181912],L.alert["Stack"]),
				type = "inform",
				text = format(L.alert["%s: %s!"],SN[181912],L.alert["Stack"]),
				time = 2,
				color1 = "GREEN",
				sound = "ALERT14",
				icon = ST[181916],
				desc = 181912,
			},				
			iDoNotStack = {
				varname = format(L.alert["%s: %s!"],SN[181912],L.alert["STAY AWAY"]),
				type = "inform",
				text = format(L.alert["%s: %s!"],SN[181912],L.alert["STAY AWAY"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT12",
				icon = ST[181916],
				desc = 181912,
			},				
			iDispellFelBomb = {
				varname = format(L.alert["%s: %s %s!"],SN[181753],L.alert["Dispell"],L.alert["player"]),
				type = "inform",
				text = format(L.alert["%s: %s #5#"],SN[181753],L.alert["Dispell"]),
				time = 2,
				color1 = "MIDGREY",
				sound = "ALERT14",
				icon = ST[181753],
				throttle = 3,
				desc = 181753,
			},	
			--[[iThrowFelBomb = {
				varname = format(L.alert["%s: %s %s %s!"],L.alert["Throw"],SN[181753],L.alert["at"],L.alert["Healer"]),
				type = "inform",
				text = format(L.alert["%s: %s %s <healer>"],L.alert["Throw"],SN[181753],L.alert["at"],L.alert["Healer"]),
				time = 2,
				color1 = "MIDGREY",
				sound = "ALERT14",
				icon = ST[181753],
				throttle = 3,
				desc = 181753,
			},	--]]			
			-- Casts
			FocusedBlastInc = {
				varname = format(L.alert["%s Casting"],SN[181912]),
				type = "centerpopup",
				text = format(L.alert["%s Casting"],SN[181912]),
				time = 12,
				color1 = "RED",
				icon = ST[181912],
				desc = 181912,
			},
			-- Debuff
			PhantasmalCorruptionDebuff = {
				varname = format(L.alert["%s Debuff"],SN[181824]),
				type = "debuff",
				text = format(L.alert["&dstname_or_YOU&: %s"],SN[181824]),
				time = 10,
				color1 = "RED",
				desc = 181824,
				icon = ST[181824],
				tag = "#5#",
				exdps = true,				
			},	
			PhantasmalWoundsDebuff = {
				varname = format(L.alert["%s Debuff"],SN[182325]),
				type = "debuff",
				text = format(L.alert["&dstname_or_YOU&: %s"],SN[182325]),
				time = 60,
				color1 = "PURPLE",
				desc = 182325,
				icon = ST[182325],
				tag = "#5#",
				exdps = true,				
			},			
		},
		events = {
			-- EyeOfAnzu
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {179202},
				execute = {
					{
						"message","mEyeOfAnzu",
						"raidicon","EyeOfAnzumark",
						"set",{AnzuHolder = "#5#"},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","EyeOfAnzusay",
						"set",{playerHasAnzu = 1}, 
					},	
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {179202},
				execute = {
					{
						"removeraidicon","#5#",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"set",{playerHasAnzu = 0}, 
					},	
				},
			},				
			-- ShadowRiposte
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {185345},
				execute = {	
					{
						"alert",{"ShadowRiposteCD", time = 2},
					},			
				},
			},			
			-- PhantasmalWinds
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {185757, 181957},
				execute = {
					{
						"insert",{"PhantasmalWindsunits","#5#"},
						"canceltimer","timerPhantasmalWinds",
						"scheduletimer",{"timerPhantasmalWinds",0.2},
						"raidicon","PhantasmalWindsmark",
					},
					{
						"expect",{"&count|PhantasmalWindsunits&","==","1"},
						"alert",{"PhantasmalWindsCD", time = 2},
					},	
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","iPhantasmalWinds",
					},						
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {185757, 181957},
				execute = {
					{
						"removeraidicon","#5#",
					},
				},
			},			
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {181956},
				execute = {
					{
						"alert",{"PhantasmalWindsCD", time = 2},
					},
				},
			},			
			-- PhantasmalWounds
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {182325},
				execute = {
					{
						"insert",{"PhantasmalWoundsunits","#5#"},
						"canceltimer","timerPhantasmalWounds",
						"scheduletimer",{"timerPhantasmalWounds",1},
						"alert","PhantasmalWoundsDebuff",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {182325},
				execute = {
					{
						"quash","PhantasmalWoundsDebuff",
					},
				},
			},			
			-- PhantasmalCorruption
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {181824, 187990},
				execute = {
					{
						"message","mPhantasmalCorruption",
						"alert","PhantasmalCorruptionDebuff",
						"alert","PhantasmalCorruptionCD",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","PhantasmalCorruptionsay",
						"openwindow",{"8",nil,false,181824},
					},					
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {181824, 187990},
				execute = {
					{
						"quash","PhantasmalCorruptionDebuff",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"closewindow",
					},					
				},
			},
			-- PhantasmalFelBomb
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {179219},
				execute = {
					{
						"insert",{"PhantasmalFelBombunits","#5#"},
						"canceltimer","timerPhantasmalFelBomb",
						"scheduletimer",{"timerPhantasmalFelBomb",0.3},						
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","iPhantasmalFelBomb",
						"announce","PhantasmalFelBombsay",
						"openwindow",{"15",nil,false,179219},
					},					
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {179219},
				dstisplayerunit = true,
				execute = {
					{
						"closewindow",
					},					
				},
			},				
			-- FelBomb
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {181753},
				execute = {
					{
						"message","mFelBomb",
						"alert","FelBombCD",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","iFelBomb",
						"announce","FelBombsay",
						"openwindow",{"5",nil,false,181753},
					},	
					{
						"expect",{"#4#","~=","&playerguid&"},
						"expect",{"<playerHasAnzu>","==","1"},
						"invoke",{
							{
								"expect",{"&healer&","==","true"},
								"alert","iDispellFelBomb",
							},
							--{
							--	"expect",{"&healer&","==","false"},
							--	"alert","iThrowFelBomb", -- need better way to do this
							--},							
						},
					},						
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {181753},
				dstisplayerunit = true,
				execute = {
					{
						"closewindow",
					},					
				},
			},			
			-- FocusedBlast
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {181912},
				execute = {	
					{
						"batchalert",{"FocusedBlastInc","wFocusedBlast"},
					},	
					{
						"expect",{"<playerHasAnzu>","==","0"},
						"set",{SafeFocusedBlast = 0},
						"invoke",{
							{
								-- Corruption,realFelBomb,phantasmalFelBomb,darkBindings
								"expect",{"&playerdebuff|"..SN[181824].."& &playerdebuff|"..SN[181753].."& &playerdebuff|"..SN[179219].."& &playerdebuff|"..SN[185510].."&","==","false false false false"},
								"set",{SafeFocusedBlast = 1},
								"alert","iStack",
								--"arrow","FocusedBlastArrow",
							},
							{
								"expect",{"<SafeFocusedBlast>","==","0"},
								"alert","iDoNotStack",
							},
						},
					},					
				},
			},
			-- FelConduit
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {181827, 187998},
				execute = {	
					{
						"batchalert",{"wFelConduit","FelConduitCD"},
					},			
				},
			},
			-- FelChakram
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {182200, 182178},
				execute = {
					{
						"insert",{"FelChakramunits","#5#"},
						"canceltimer","timerFelChakram",
						"scheduletimer",{"timerFelChakram",1},
					},
					{
						"expect",{"&count|FelChakramunits&","==","1"},
						"alert","FelChakramCD",	
					},					
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","FelChakramsay",
						"alert","iFelChakram",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"expect",{"&istargettank|#5#|boss1& &istank&","==","true true"},
						"alert","iFelChakramTaunt",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {182216},
				execute = {	
					{
						"alert","FelChakramCD",
					},			
				},
			},			
			-- DarkBindings
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {185510},
				execute = {	
					{
						"message","mDarkBindingsInc",
					},			
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {185510},
				execute = {	
					{
						"alert","DarkBindingsCD",
					},			
				},
			},			
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {185510},
				execute = {
					{
						"insert",{"DarkBindingsunits","#5#"},
						"canceltimer","timerDarkBindings",
						"scheduletimer",{"timerDarkBindings",0.2},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","DarkBindingssay",
					},					
				},
			},
			-- Stage2
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {181873},
				execute = {	
					{
						"alert","Phase2",
						"set",{shadowEscapeCount = "INCR|1"},
						"batchquash",{"PhantasmalWindsCD","ShadowRiposteCD","FelChakramCD"},
						"alert","PhaseOneCD",
						"scheduletimer",{"timerPhaseOne",40},
					},			
				},
			},
			-- FelIncineration
			{
				type = "event",
				event = "BOSS_WHISPER", 
				execute = {
					{
						"expect",{"#1#","find","spell:182582"},
						"alert","iFelIncineration",
						"announce","FelIncinerationsay",
					},
				},
			},
			-- FelFireDamage
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {182600},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iFelFireDamage",
					},			
				},
			},			
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_DAMAGE",
				spellid = {182600},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iFelFireDamage",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_MISSED",
				spellid = {182600},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iFelFireDamage",
					},
				},
			},	
-----------------------------------------------
			{
				type = "combatevent",
				eventtype = "UNIT_DIED",
				execute = {
					{
						"expect",{"&npcid|#4#&","==","91543"}, -- Corrupted Talonpriest
						"quash","FelBombCD",
					},
					{
						"expect",{"&npcid|#4#&","==","91541"}, -- Shadowfel Warden
						"quash","FelConduitCD",
					},	
					{
						"expect",{"&npcid|#4#&","==","91539"}, -- Fel Raven
						"quash","PhantasmalCorruptionCD",
					},
					{
						"expect",{"&npcid|#4#&","==","93625"}, -- Fel Raven
						"quash","DarkBindingsCD",
					},						
				},
			},			
			{
				type = "event",
				event = "CHAT_MSG_ADDON", 
				execute = {
					{
					--	"debug",{"#1# #2# #3# #4#"},
					},
					{
						"expect",{"#1#","==","Transcriptor"},
						"invoke",{
							{
								"expect",{"#2#","find","spell:182582"},
								"expect",{"&throttle|#4#|5&","==","false"},
								"invoke",{
									{
										"expect",{"#4#","~=","&playername&"},
										"arrow","FelIncinerationarrow",
										"message","mFelIncineration",
									},
								},
							},								
						 },
					},				
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end